{pkgs, config, lib, ...}:
let
  cfg = config.cos.gnupg;
in
{
  options.cos.gnupg = {
    enable = lib.mkEnableOption "Bikeability server";
  };

  config = lib.mkIf cfg.enable {
    programs.gnupg.agent.enable = true;
    programs.gnupg.agent.pinentryPackage = pkgs.pinentry-curses;
  };
}
